### Function Macro

# GLib test_thorough

#### Declaration

    #define g_test_thorough (
      void
    )

#### Description

Returns `TRUE` if tests are run in thorough mode, equivalent to g_test_slow().

By default, tests are run in quick mode. In tests that use g_test_init(), the options `-m quick`, `-m slow` and `-m thorough` can be used to change this.

This function is not directly available to language bindings.